## Function template parse_formatter

boost::log::parse_formatter

## Synopsis

    // In header: <boost/log/utility/setup/formatter_parser.hpp>

    template<typename CharT>
      basic_formatter< CharT >
      parse_formatter(const CharT * begin, const CharT * end);

## Description

The function parses a formatter from the sequence of characters

Throws: An `std::exception`-based exception, if a formatter cannot be recognized in the character sequence.

Parameters:

`begin` | Pointer to the first character of the sequence
`end` | Pointer to the after-the-last character of the sequence

Requires: | `begin <= end`, both pointers must not be NULL
Returns: | The parsed formatter.